> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/tools/tool-registry-search-tools/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List all tools GET https://example.itential.io/tools Returns all tools in the tool registry. Reference: https://docs.itential.com/itential-cloud/api-reference/tools/tool-registry-search-tools ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `skip` (integer, optional) — The number of results to skip for pagination. - `limit` (integer, optional) — The maximum number of results to return. - `type` (string, optional) — The type of tool to search for. - `name` (string, optional) — Resource name. - `referenceIds` (string, optional) — Comma separated referenceIds of tools. - `description` (string, optional) — A keyword to match against tool descriptions. - `active` (boolean, optional) — Whether to only return active tools. - `parentIds` (string, optional) — Comma separated list of parentIds to filter tools by. - `parentTypes` (string, optional) — Comma separated list of parentTypes to filter tools by. - `parentTitles` (string, optional) — Comma separated list of parentTitles to filter tools by. - `excludeToolChildren` (boolean, optional) — If true, exclude tools that are children of other tools (i.e. only return top-level tools). - `sort` (enum, optional, default: name) — Determines which field to sort by. Defaults to name - Allowed values: `name`, `type`, `description`, `source`, `referenceId` - `order` (enum, optional, default: asc) — Determines whether to sort by ascending or descending alphanumeric order. Defaults to ascending. - Allowed values: `asc`, `desc` ## Response ### 200 Contains the list of tools - `any` ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **SDK Code** ```python import requests url = "https://example.itential.io/tools" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/tools'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/tools" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/tools") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/tools") .asString(); ``` ```php request('GET', 'https://example.itential.io/tools'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/tools"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/tools")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```